Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanOperationInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanOperationInfo

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  ModelMBeanOperationInfo, OpenMBeanOperationInfoSupport

    public class MBeanOperationInfo

extends MBeanFeatureInfo
implements Serializable, Cloneable

Describes a management operation exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

Since:
  1.5
See Also:
  Serialized Form

Field Summary
`static int` | `ACTION` Indicates that the operation is a write-like, and would modify the MBean in some way, typically by writing some value or changing a configuration.
`static int` | `ACTION_INFO` Indicates that the operation is both read-like and write-like.
`static int` | `INFO` Indicates that the operation is read-like, it basically returns information.
`static int` | `UNKNOWN` Indicates that the operation has an "unknown" nature.

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanOperationInfo(String description, Method method)` Constructs an `MBeanOperationInfo` object.
`MBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact)` Constructs an `MBeanOperationInfo` object.

Method Summary
`Object` | `clone()` Returns a shallow clone of this instance.
`boolean` | `equals(Object o)` Compare this MBeanOperationInfo to another.
`int` | `getImpact()` Returns the impact of the method, one of `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`.
`String` | `getReturnType()` Returns the type of the method's return value.
`MBeanParameterInfo[]` | `getSignature()` Returns the list of parameters for this operation.
`int` | `hashCode()` Returns a hash code value for the object.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO

    public static final int INFO

  Indicates that the operation is read-like, it basically returns information.

  See Also:
    Constant Field Values

### ACTION

    public static final int ACTION

  Indicates that the operation is a write-like, and would modify the MBean in some way, typically by writing some value or changing a configuration.

  See Also:
    Constant Field Values

### ACTION_INFO

    public static final int ACTION_INFO

  Indicates that the operation is both read-like and write-like.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  Indicates that the operation has an "unknown" nature.

  See Also:
    Constant Field Values

Constructor Detail

### MBeanOperationInfo

    public MBeanOperationInfo(String description,
                              Method method)
                       throws IllegalArgumentException

  Constructs an `MBeanOperationInfo` object.

  Parameters:
    `method` - The `java.lang.reflect.Method` object describing the MBean operation.
    `description` - A human readable description of the operation.
  Throws:
    `IllegalArgumentException`

### MBeanOperationInfo

    public MBeanOperationInfo(String name,
                              String description,
                              MBeanParameterInfo[] signature,
                              String type,
                              int impact)
                       throws IllegalArgumentException

  Constructs an `MBeanOperationInfo` object.

  Parameters:
    `name` - The name of the method.
    `description` - A human readable description of the operation.
    `signature` - `MBeanParameterInfo` objects describing the parameters(arguments) of the method. This may be null with the same effect as a zero-length array.
    `type` - The type of the method's return value.
    `impact` - The impact of the method, one of `INFO, ACTION, ACTION_INFO, UNKNOWN`.
  Throws:
    `IllegalArgumentException`

Method Detail

### clone

    public Object clone()

  Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

  Since this class is immutable, cloning is chiefly of interest to subclasses.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of this instance.
  See Also:
    `Cloneable`

### getReturnType

    public String getReturnType()

  Returns the type of the method's return value.

  Returns:
    the return type.

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns the list of parameters for this operation. Each parameter is described by an `MBeanParameterInfo` object.

  The returned array is a shallow copy of the internal array, which means that it is a copy of the internal array of references to the `MBeanParameterInfo` objects but that each referenced `MBeanParameterInfo` object is not copied.

  Returns:
    An array of `MBeanParameterInfo` objects.

### getImpact

    public int getImpact()

  Returns the impact of the method, one of `INFO`, `ACTION`, `ACTION_INFO`, `UNKNOWN`.

  Returns:
    the impact code.

### equals

    public boolean equals(Object o)

  Compare this MBeanOperationInfo to another.

  Overrides:
    `equals` in class `MBeanFeatureInfo`
  Parameters:
    `o` - the object to compare to.
  Returns:
    true iff `o` is an MBeanOperationInfo such that its `MBeanFeatureInfo.getName()`, `getReturnType()`, `MBeanFeatureInfo.getDescription()`, `getImpact()`, and `getSignature()` values are equal (not necessarily identical) to those of this MBeanConstructorInfo. Two signature arrays are equal if their elements are pairwise equal.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Description copied from class: `Object`
  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.